;********************************************************************************
;* TEST SENSORS led CNY70        versio 3                 Lleonard Garcia i Llop*
;********************************************************************************
; 1.-Per estalviar energia es pot col_locar un led bicolor en lloc del motor.
; 2.-BRIDGE MOTORS (4 semibridges amb SN754410NE)
;    Bridge= pont  Es una connexio en que de forma de H (el trem vertical
;    de la dreta, el tram mig horitzontal i el tram vertical de l'esquerra).
;    El Semibridge_a, en funcio d'un 0 o 1, connecta a + o - el born_a del motor.
;    El Semibridge_b, en funcio d'un 0 o 1, connecta a + o - el born_b del motor.
;    Semi_bridge_a Semi_bridge_M1b Motor                    Leds
;        0 (-)         0 (-)       ATURAT                   APAGAT
;        1 (+)         0 (-)   CCWS (gira en sentit invers) Verd
;        0 (-)         1 (+)       CWS (gira envant)        Vermell
;        1 (+)         1 (+)       ATURAT                   APAGAT
; 3.-El sistema te un defecte. Si gira envant i immediatament es dona instruccio
;    de girar enrera, te el mateix efecte que un curtcircuit. Es recomana afegir
;    un breu retard i fer que el temps amortitzi l'energia acumulada en el motor
;    en moviment.
; 4.-CIRCUIT IMPRES QUE UTILITZA PICAXE 14M2
;                  **********************
;              +V  * 1               14 *  GND
;          SI /C.5 * 2               13 *  B.0 /SO  bridge M2 (canviar jumper)
;  bridge M1   C.4 * 3               12 *  B.1      bridge M2
;  boto_PUJAR  C.3 * 4               11 *  B.2      SENSOR_INPERIOR
;  bridge M1   C.2 * 5               10 *  B.3      SENSOR_SUPERIOR / I2C_SCL
;  boto_BAIXAR C.1 * 6                9 *  B.4      LED_SUPERIOR / I2C_SDA
;  IR_TSOP4838 C.0 * 7                8 *  B.5      LED_INFERIOR
;                  **********************
pause 1000; permet programacio segura durant 1 segon despres de connectar
;********************************************************************************
;********************************************************************************
;CONFIGURACIONS DEL HARDWARE
;setint %00000000,%00000000   ; Configuracio de les interrupcions.
let dirsC=%00010100           ; Definicions del port_C (1=sortida 0=entrada).
let dirsB=%00110011           ; Definicions del port_B (1=sortida 0=entrada).
symbol bridge_M1a=C.2   	; SORTIDA.Semi-bridge_a del motor_M1.
symbol bridge_M1b=C.4   	; SORTIDA.Semi-bridge_b del motor_M1.
symbol bridge_M2a=B.0   	; SORTIDA.Semi-bridge_a del motor_M2.
symbol bridge_M2b=B.1   	; SORTIDA.Semi-bridge_b del motor_M2.
symbol PUJAR=C.3              ; ENTRADA. Boto de pujar.
symbol pujant=pinc.3          ; ENTRADA. Boto de pujar.
symbol BAIXAR=C.1             ; ENTRADA. Boto de baixar.
symbol baixant=pinc.1         ; ENTRADA. Boto de baixar.
symbol led_inferior=B.5       ; SORTIDA. Led emisor1.
symbol led_superior=B.4       ; SORTIDA. Led emisor2.
symbol fiCursa_inferior=B.2   ; ENTRADA. Fototransistor_1
symbol fiCursa_superior=B.3   ; ENTRADA. Fototransistor_2
symbol sensor=C.0             ; ENTRADA. Sensor infrarroig TSOP4838.
;DEFINICIO DE CONSTANTS.
symbol llindar=b6
let llindar=15
;DEFINICIO DE VARIABLES
symbol codi_IR=b0

;PROGRAMA INICIAL
low bridge_M1a, bridge_M1b, bridge_M2a, bridge_M2b ; inicialment motors aturats.	
;PROGRAMA PRINCIPAL O REITERATIU
main:
toggle led_superior
pause 1500
toggle led_superior
toggle led_inferior
pause 1500
toggle led_inferior
call pujar1
pause 1500
call baixar1
pause 1500
call aturar1
call pujar2
pause 1500
call baixar2
pause 1500
call aturar2
goto main
;SUBRUTINES
;SUBRUTINA.MOVIMENT DELS MOTORS.
pujar1:
;call aturar1
;pause 100
low bridge_M1a
let b0=b0
high bridge_M1b
return

baixar1:
;call aturar1
;pause 100
high bridge_M1a
let b0=b0
low bridge_M1b
return

aturar1:
low bridge_M1b
low bridge_M1a
return

pujar2:
;call aturar2
;pause 100
high bridge_M2b
let b0=b0
low bridge_M2a
return

baixar2:
;call aturar2
;pause 100
high bridge_M2a
let b0=b0
low bridge_M2b
return

aturar2:
low bridge_M2b
low bridge_M2a
return
